/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- re

创建Redis-Cluster集群时遇到的问题 " /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- redis (LoadError)"

如下图:



解决办法:

Ruby的redis接口没有安装,需要安装Redis接口,输入命令 " gem install redis " 进行安装,如下图:



在安装Redis接口的时候可能会遇到如上的问题,以上错误信息告诉我们Ruby版本太低 

关于Ruby 版本过低低的办法《 系统 Ruby 版本过低的解决办法

解决 Ruby 版本的需求后,输入命令 " gem install redis " 进行 Redis 接口安装,如下图:



好了问题解决了,可以去创建Redis集群了 《 CentOs7搭建Redis-4.0.2集群环境之图文详解 》

尊敬的读者朋友,如果本博文对你有一定的帮助,那就请不要吝啬你的赞微笑,我花费了时间、精力、工作经验来编写博文,也许你的一个不经意的点赞,将会成为我前进的动力!!!

歇后语:“共同学习,共同进步”,也希望大家多多关注CSND的IT社区


已标记关键词 清除标记
©️2020 CSDN 皮肤主题: Age of Ai 设计师:meimeiellie 返回首页
实付 9.90元
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值